Debian Bug report logs - #608227
console-setup: XKBLAYOUT always get a "_" suffix

version graph

Package: console-setup; Maintainer for console-setup is Debian Install System Team <debian-boot@lists.debian.org>; Source for console-setup is src:console-setup.

Reported by: Sebastian Reichel <sre@debian.org>

Date: Tue, 28 Dec 2010 22:30:05 UTC

Severity: normal

Found in version console-setup/1.65

Fixed in version console-setup/1.67

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, sre@debian.org, pkg-n900-maint@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608227; Package console-setup. (Tue, 28 Dec 2010 22:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Reichel <sre@debian.org>:
New Bug report received and forwarded. Copy sent to sre@debian.org, pkg-n900-maint@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 28 Dec 2010 22:30:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sebastian Reichel <sre@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: console-setup: XKBLAYOUT always get a "_" suffix
Date: Tue, 28 Dec 2010 23:28:28 +0100
Package: console-setup
Version: 1.65
Severity: normal

Hi,

I get the following warning during boot:

WARNING: Can not find "de_" in "nokia_vndr/rx-51"

I fixed it by adding the following line in
/usr/bin/ckbcomp, after line 2540:

$consequent_values[$i] =~ s/_\)/\)/g;

Apart from this I get lots of messages about
unsupported keycodes (> 600 lines printed to the tty),
all starting with XF86.

-- Sebastian

-- /etc/default/keyboard:

# Check /usr/share/doc/keyboard-configuration/README.Debian for
# documentation on what to do after having modified this file.

# The following variables describe your keyboard and can have the same
# values as the XkbModel, XkbLayout, XkbVariant and XkbOptions options
# in /etc/X11/xorg.conf.

XKBMODEL="nokiarx51"
XKBLAYOUT="de"
XKBRULES="evdev"
XKBVARIANT=""
XKBOPTIONS=""

# If you don't want to use the XKB layout on the console, you can
# specify an alternative keymap.  Make sure it will be accessible
# before /usr is mounted.
# KMAP=/etc/console-setup/nokia-n900.kmap.gz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608227; Package console-setup. (Fri, 31 Dec 2010 14:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 31 Dec 2010 14:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 608227@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: Sebastian Reichel <sre@debian.org>, 608227@bugs.debian.org
Subject: Re: Bug#608227: console-setup: XKBLAYOUT always get a "_" suffix
Date: Fri, 31 Dec 2010 16:06:35 +0200
On Tue, Dec 28, 2010 at 11:28:28PM +0100, Sebastian Reichel wrote:
> 
> I get the following warning during boot:
> 
> WARNING: Can not find "de_" in "nokia_vndr/rx-51"
>
> I fixed it by adding the following line in
> /usr/bin/ckbcomp, after line 2540:
> 
> $consequent_values[$i] =~ s/_\)/\)/g;

Thanks for discovering this.  I commited a somewhat more complex 
solution which removes the underscore sign only if it was a part of a 
%_... combination.

> Apart from this I get lots of messages about
> unsupported keycodes (> 600 lines printed to the tty),
> all starting with XF86.

The fix for these is to simply define them as VoidSymbol in %xkb_table.  
I commited the required changes as well.

By the way, what was the purpose of using ckbcomp on this Nokia device?  
Does this device have a text-mode console and is the keyboard supported 
by the kernel or only by X?

Anton Zinoviev




Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Sat, 01 Jan 2011 14:39:09 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Reichel <sre@debian.org>:
Bug acknowledged by developer. (Sat, 01 Jan 2011 14:39:09 GMT) Full text and rfc822 format available.

Message #15 received at 608227-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 608227-close@bugs.debian.org
Subject: Bug#608227: fixed in console-setup 1.67
Date: Sat, 01 Jan 2011 14:32:47 +0000
Source: console-setup
Source-Version: 1.67

We believe that the bug you reported is fixed in the latest version of
console-setup, which is due to be installed in the Debian FTP archive:

bdf2psf_1.67_all.deb
  to main/c/console-setup/bdf2psf_1.67_all.deb
console-setup-amiga-ekmap_1.67_all.udeb
  to main/c/console-setup/console-setup-amiga-ekmap_1.67_all.udeb
console-setup-ataritt-ekmap_1.67_all.udeb
  to main/c/console-setup/console-setup-ataritt-ekmap_1.67_all.udeb
console-setup-fonts-udeb_1.67_all.udeb
  to main/c/console-setup/console-setup-fonts-udeb_1.67_all.udeb
console-setup-macintoshold-ekmap_1.67_all.udeb
  to main/c/console-setup/console-setup-macintoshold-ekmap_1.67_all.udeb
console-setup-mini_1.67_all.deb
  to main/c/console-setup/console-setup-mini_1.67_all.deb
console-setup-pc-ekmap_1.67_all.udeb
  to main/c/console-setup/console-setup-pc-ekmap_1.67_all.udeb
console-setup-sun4-ekmap_1.67_all.udeb
  to main/c/console-setup/console-setup-sun4-ekmap_1.67_all.udeb
console-setup-sun5-ekmap_1.67_all.udeb
  to main/c/console-setup/console-setup-sun5-ekmap_1.67_all.udeb
console-setup-udeb_1.67_all.udeb
  to main/c/console-setup/console-setup-udeb_1.67_all.udeb
console-setup_1.67.dsc
  to main/c/console-setup/console-setup_1.67.dsc
console-setup_1.67.tar.gz
  to main/c/console-setup/console-setup_1.67.tar.gz
console-setup_1.67_all.deb
  to main/c/console-setup/console-setup_1.67_all.deb
keyboard-configuration_1.67_all.deb
  to main/c/console-setup/keyboard-configuration_1.67_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 608227@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated console-setup package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 31 Dec 2010 19:55:24 +0100
Source: console-setup
Binary: keyboard-configuration console-setup console-setup-mini bdf2psf console-setup-udeb console-setup-amiga-ekmap console-setup-ataritt-ekmap console-setup-macintoshold-ekmap console-setup-pc-ekmap console-setup-sun4-ekmap console-setup-sun5-ekmap console-setup-fonts-udeb
Architecture: source all
Version: 1.67
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 bdf2psf    - font converter to generate console fonts from BDF source fonts
 console-setup - console font and keymap setup program
 console-setup-amiga-ekmap - encoded keyboard layouts for Amiga keyboards (udeb)
 console-setup-ataritt-ekmap - encoded keyboard layouts for Atari TT keyboards (udeb)
 console-setup-fonts-udeb - console fonts for Debian Installer (udeb)
 console-setup-macintoshold-ekmap - encoded keyboard layouts for old-style Macintosh keyboards (udeb)
 console-setup-mini - console font and keymap setup program - reduced version
 console-setup-pc-ekmap - encoded keyboard layouts for PC keyboards (udeb)
 console-setup-sun4-ekmap - encoded keyboard layouts for Sun4 keyboards (udeb)
 console-setup-sun5-ekmap - encoded keyboard layouts for Sun5 keyboards (udeb)
 console-setup-udeb - Configure the keyboard (udeb)
 keyboard-configuration - system-wide keyboard preferences
Closes: 604153 608227
Changes: 
 console-setup (1.67) unstable; urgency=low
 .
   [ Anton Zinoviev ]
   * ckbcomp: process properly %(v) and %_v.  Interpret Henkan, Hiragana,
     Hiragana_Katakana, Muhenkan and some XF86... symbols as VoidSymbol.
     Thanks to Sebastian Reichel, closes: #608227.
 .
   [ Christian Perrier ]
   * Remove debconf-2.0 alternative from Pre-Depends.
     Really Closes: #604153
Checksums-Sha1: 
 a0918ed7541b46ac5fd9bd743d1e15c11b469fd2 1896 console-setup_1.67.dsc
 46b2ce6227f7fd6bc761599ace34164c5c5af5a3 2788080 console-setup_1.67.tar.gz
 19082bcbc8ed75a757a6611df94856350e9c0d23 382254 keyboard-configuration_1.67_all.deb
 06d4d998b0d599ac61b6a11b054fed9d9b89f020 637458 console-setup_1.67_all.deb
 7b118c0bd16fdf80449771c49d0fde2f5a0c978c 658834 console-setup-mini_1.67_all.deb
 a0a967ab646fc2ef25c75c81aaa40a5fd1f85ee3 50940 bdf2psf_1.67_all.deb
 6145c17d71b80a132a26acc8b0d7e85fbf59f603 302720 console-setup-udeb_1.67_all.udeb
 420807baf0ffafc1cfe16090969d4fb3d1377c12 102854 console-setup-amiga-ekmap_1.67_all.udeb
 d277ffea7cda3f446ec450d68b449ea2d895b052 101608 console-setup-ataritt-ekmap_1.67_all.udeb
 8d26389036de6a945990db6931be2943c87269f7 80548 console-setup-macintoshold-ekmap_1.67_all.udeb
 dc7df0d4251dfed1b533bf7f8d7e140b9be4c5d3 107388 console-setup-pc-ekmap_1.67_all.udeb
 b93e5a13fafc3ff72e81eae266966e27889dce78 103532 console-setup-sun4-ekmap_1.67_all.udeb
 74a4a6cc8b7005e5317b9daf17fb7e59a92ddebf 103836 console-setup-sun5-ekmap_1.67_all.udeb
 0f5eea1a016faa29d080d29e25b10580ecef163a 28998 console-setup-fonts-udeb_1.67_all.udeb
Checksums-Sha256: 
 3003e311fd5e1e4dbc07a07658950e5408606a2b4d196f7586d38a38ac0a98e2 1896 console-setup_1.67.dsc
 edd6645edd59ff49fd532811f75fff149a22d54adc7465fd1d8faa0f4e220acd 2788080 console-setup_1.67.tar.gz
 902dda0613b844a9257ca58df63a9e5232e7a4d599814f7a76d67066ef6bbb77 382254 keyboard-configuration_1.67_all.deb
 865838a400f9d6156d825a41b9d0e1763f1596053a14a0730b81d0729a017780 637458 console-setup_1.67_all.deb
 17cbdde60b2a92e564130c9e7b213349cb0bc26316b3c891fdd83657b2a26468 658834 console-setup-mini_1.67_all.deb
 e01e3ced30e4a26d7d2014ef74a1bd528fdf7ab2887e9de6b7e71a52c725b64e 50940 bdf2psf_1.67_all.deb
 b3ba70c0b88885ca8235ec58aea46d69564ddc55e5c94dc9ed5ef20c5ebd462d 302720 console-setup-udeb_1.67_all.udeb
 bc6650819b53140a65eb9ba0f5f8b90a3aa94a67ddb79bf538bb1356f6454219 102854 console-setup-amiga-ekmap_1.67_all.udeb
 aee0fc55218592e00e90a18f05eac08123e8b66abca2b4a75da5bd47b2c52cab 101608 console-setup-ataritt-ekmap_1.67_all.udeb
 fd3c5cf309e2047e152fc80ae46ec740e18da8838ace0254c1a232d7c1a72d00 80548 console-setup-macintoshold-ekmap_1.67_all.udeb
 9c10326fb524e5bd23e6eb11ef1be262799d6e0deb3b0a50591672fe245be471 107388 console-setup-pc-ekmap_1.67_all.udeb
 8c5744b84bc54120cb5ab40344e38610b97dc01f6ee3314f9dfd37da66d19988 103532 console-setup-sun4-ekmap_1.67_all.udeb
 0863fe3a9179b86117d2d5aadd0ac741126f3aefd47c7342ce25610c8d0511a9 103836 console-setup-sun5-ekmap_1.67_all.udeb
 710a681bb828d0550fc69a9b35f91f0d78bbc95dcb7b533916b84d4cd89e9005 28998 console-setup-fonts-udeb_1.67_all.udeb
Files: 
 14bf6b55167726ae1f1ac9fb507aa43a 1896 utils optional console-setup_1.67.dsc
 882e96195de5ba2153e50547245c879a 2788080 utils optional console-setup_1.67.tar.gz
 584ebaaf74a439499361b2bdc9ae5536 382254 utils optional keyboard-configuration_1.67_all.deb
 b3899295b6eec24c36e4c7f6b502a60f 637458 utils optional console-setup_1.67_all.deb
 9c99936e622026ea479ca87804b31647 658834 utils extra console-setup-mini_1.67_all.deb
 85ecee0e934c94b67079fd082f0082fb 50940 utils optional bdf2psf_1.67_all.deb
 95eeeddcee9258bbac56c521f8c38ab3 302720 debian-installer extra console-setup-udeb_1.67_all.udeb
 c186032b8cf7bcc0cb7ff2170523d2fd 102854 debian-installer extra console-setup-amiga-ekmap_1.67_all.udeb
 183ebecbe3a273c79552f354c1e50439 101608 debian-installer extra console-setup-ataritt-ekmap_1.67_all.udeb
 00964a80f057a819739b64ee53ce118c 80548 debian-installer extra console-setup-macintoshold-ekmap_1.67_all.udeb
 0424a0aa7ddc01b9d0931d225d2b84d4 107388 debian-installer extra console-setup-pc-ekmap_1.67_all.udeb
 6fc4b54efaf376d2778b7b48ee9c6396 103532 debian-installer extra console-setup-sun4-ekmap_1.67_all.udeb
 ffafed351cc588daff8f6c2aa06befa6 103836 debian-installer extra console-setup-sun5-ekmap_1.67_all.udeb
 2e52eedc8d4118ca6a5de49584156e71 28998 debian-installer extra console-setup-fonts-udeb_1.67_all.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBTR80R4cvcCxNbiWoAQKqHhAAvvrX2ERUazrDZpuJuZd/zNfQslsfQO+B
UKDFZ+2Fm59GLLt00Es4943mJLwajlhBST5l3RPh1hPA82mBJP/3VuRf0fKC/Iy7
SS5j6y3vTOXwROcCGS2V1mI7tBolDOTDTKuo2s/yWhBqjcJY6sHdD0DvV2NqwJVI
gif1iyshKJrJ1yxlITj70m2vrMFd4fcfn8cnoTdDg/gjnopK4DUAq1z08WiiQ++A
W3Zc4sOZ7LhDfWiWp+CE1oE4g34UpB8TjluAOP5uPP4SG4XKV4oJmIZqPaxmOUs8
HivTmJWu+oQOzyrKQkc8TVjAEESBwaZCgDutgiA7KQhF7WOpXITq1p1ntjB8KdZL
/p+GFQfm6Sd7umD1acvKHnpaU+ydcjoVo3IYcRTLZ2IGFZccFHuYZcgxFPq9+WmR
9EpPxAtgF5QNph2EPrPqnegn1GURbXzXhYkXCXyJrCeWMTmV7Hy0AbmfuvNHLKoi
WZhtmtlkEFgZFJ+CTAYiSAK0IkyZe4R3SgKPSHydSzvgSdUyvX7HeYK+gKQtukck
ESD0he3lHTzB3GfMG88pD9yCDjXOXMCLofnd2B7i+0svUspM7Q5YkZMNk9FFo0Nc
+XBj5FmLbrJ+9TcYQEr/Fz0kdodhkCtpU9ksAEYL55IzOVUI8FjTIET/T/kCNxzX
zs8rMNGabFw=
=3S6Z
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608227; Package console-setup. (Sat, 01 Jan 2011 21:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Reichel <sre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 01 Jan 2011 21:36:03 GMT) Full text and rfc822 format available.

Message #20 received at 608227@bugs.debian.org (full text, mbox):

From: Sebastian Reichel <sre@debian.org>
To: 608227@bugs.debian.org
Cc: Anton Zinoviev <anton@lml.bas.bg>
Subject: thanks
Date: Sat, 1 Jan 2011 22:23:31 +0100
[Message part 1 (text/plain, inline)]
Hi,

Thanks for the fixes :)

> By the way, what was the purpose of using ckbcomp on this Nokia
> device?  Does this device have a text-mode console and is the
> keyboard supported by the kernel or only by X?

I've got a working tty with working keyboard layout
on my N900.

-- Sebastian
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 02 Feb 2011 07:33:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:27:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.